(cl:defpackage #:colorization-server
  (:use #:common-lisp)
  (:export #:|colorize|))

(use-package :colorization-server :s-xml-rpc-exports)

(in-package #:colorization-server)


(defun |colorize| (type text &optional with-paren-matching-p)
  (let ((colorize:*color-lisp-parens* (if (or (eq with-paren-matching-p T) (eql with-paren-matching-p 1)) T NIL))
	(coloring-type (colorize::find-coloring-type (intern (string-upcase type)
							     #.(find-package "KEYWORD")))))
    (unless coloring-type
      (error "Unknown coloring type ~S.  The following coloring types are known:~&~S"
	     type
	     (mapcar #'(lambda (ct)
			 (string-downcase (symbol-name (car ct))))
		     colorize::*coloring-types*)))
    (colorize::html-colorization coloring-type text)))

   